缙哥哥的博客
与你分享我的点点滴滴生活

低版本 Internet Explorer 淘汰行动

起因

自2014年4月8日起,Microsoft 不再为 Windows XP 和 Internet Explorer 8 及以下版本提供相应支持和更新。如果你继续使用这些,你将可能受到病毒、间谍软件和其他恶意软件的攻击,无法确保个人信息的安全。请参阅 Microsoft 关于 Windows XP 支持已经结束的说明

做法

不再兼容IE8及以下版本,当使用 Internet Explorer 过期版本(IE6、IE7、IE8 或使用该内核的浏览器)的用户访问时提示浏览器升级。

代码

把这段代码添加在网站头部代码</head>之前,当IE8及以下版本浏览器(包括使用IE8及以下版本内核的浏览器)访问网站的时候将自动跳转到浏览器升级提示页面。

[code lang=”” start=”” highlight=””]
[/code]

网站在没有兼容的低版本IE中往往都是错版,所以检测到是低版本IE时直接跳转到升级页面,节省了不必要的资源加载,降低了网站服务器开销。去除冗余字符之后,便有了这段简洁优雅的代码。

呼吁

为了兼容这个曾经的浏览器霸主,网页设计人员需要做大量的代码工作,而且最终效果也始终不能让人满意。对于普通用户而言,低版本IE更是一个岌岌可危的安全隐患,在Windows历史上几次大的木马病毒事件都是利用IE漏洞进行传播。所以,请和我们一起抵制IE6、IE7、IE8!

2014年1月9日浏览器升级提示页面上线以来,短短几个月时间里,已有众多童鞋主动加入这个行列,每天为数以千计的低版本IE用户提示升级,现在多梦呼吁更多的人加进来,一起抵制低版本IE!

打赏
转载请注明来源于“缙哥哥的博客”及本文链接:缙哥哥的博客 » 低版本 Internet Explorer 淘汰行动
分享到: 更多 (0)

评论 1

评论前必须登录!

 

  1. #1

    这个早知道了,但ie8用户仍然很多,我用的是提示升级,直接不给访问的话就太不那啥了